Permalink
Browse files

downgrade oauth related gems because one of them caused new github ac…

…counts to not be able to sign in/create an account on travis
  • Loading branch information...
1 parent 405376c commit 536799cb75b819ec43c8ee8114db4bd4a877c4f7 Sven Fuchs committed Jul 17, 2012
Showing with 20 additions and 16 deletions.
  1. +7 −1 Gemfile
  2. +13 −15 Gemfile.lock
View
@@ -14,7 +14,13 @@ gem 'bunny'
gem 'refraction', '~> 0.2.0'
gem 'versionist', '~> 0.2.0'
gem 'devise', '~> 2.0.4'
-gem 'omniauth-github', '~> 1.0.1'
+
+# upgrading to newer versions of these gems caused new github accounts to not be able to
+# sign in / create an account on our side
+gem 'oauth2', '0.6.1'
+gem 'omniauth-oauth2', '1.0.2'
+gem 'omniauth-github', '1.0.1'
+
gem 'unobtrusive_flash', '~> 0.0.2'
# structures
View
@@ -26,7 +26,7 @@ GIT
GIT
remote: git://github.com/travis-ci/travis-core
- revision: d8382f3f66edf6417847f25f386540b57183dd02
+ revision: 2531cab2f6584faf311eae19dda0fe6c34fb7264
specs:
travis-core (0.0.1)
actionmailer (~> 3.2.3)
@@ -61,13 +61,13 @@ GIT
GIT
remote: https://github.com/travis-ci/travis-assets
- revision: d54ff710f90154b79a3a72f5030b04a53d88a1de
+ revision: a4d1ac8be6e6127bbf8e5ea955b1419c07089aea
specs:
travis-assets (0.0.1)
GIT
remote: https://github.com/wycats/rake-pipeline-web-filters.git
- revision: 786547780aa5c49900b1c1769567ea683f8a50df
+ revision: 51915f60889fbf54fc2e81b86b594bf4c7be4ea5
specs:
rake-pipeline-web-filters (0.6.0)
rack
@@ -172,8 +172,6 @@ GEM
i18n (0.6.0)
journey (1.0.4)
json (1.6.7)
- jwt (0.1.4)
- json (>= 1.2.4)
kgio (2.7.4)
libwebsocket (0.1.4)
addressable
@@ -198,20 +196,18 @@ GEM
net-http-pipeline (1.0.1)
newrelic_rpm (3.3.5)
nokogiri (1.5.5)
- oauth2 (0.8.0)
- faraday (~> 0.8)
+ oauth2 (0.6.1)
+ faraday (~> 0.7)
httpauth (~> 0.1)
- jwt (~> 0.1.4)
- multi_json (~> 1.0)
- rack (~> 1.2)
+ multi_json (~> 1.3)
omniauth (1.1.0)
hashie (~> 1.2)
rack
- omniauth-github (1.0.2)
+ omniauth-github (1.0.1)
omniauth (~> 1.0)
- omniauth-oauth2 (~> 1.1)
- omniauth-oauth2 (1.1.0)
- oauth2 (~> 0.8.0)
+ omniauth-oauth2 (~> 1.0)
+ omniauth-oauth2 (1.0.2)
+ oauth2 (~> 0.6.0)
omniauth (~> 1.0)
orm_adapter (0.0.7)
pg (0.13.2)
@@ -335,7 +331,9 @@ DEPENDENCIES
lograge (~> 0.0.4)
mocha (~> 0.10.0)
newrelic_rpm (~> 3.3.0)
- omniauth-github (~> 1.0.1)
+ oauth2 (= 0.6.1)
+ omniauth-github (= 1.0.1)
+ omniauth-oauth2 (= 1.0.2)
pg (~> 0.13.2)
rack-contrib!
rails (~> 3.2.3)

0 comments on commit 536799c

Please sign in to comment.